[rspec-users] rspec-rails 2 webrat dependency

Rodrigo Rosenfeld Rosas lbocseg at yahoo.com.br
Mon Jun 21 21:00:38 EDT 2010


Em 19-06-2010 16:12, Rick DeNatale escreveu:
> On Sat, Jun 19, 2010 at 1:07 PM, Rodrigo Rosenfeld Rosas
> <lbocseg at yahoo.com.br>  wrote:
>    
>> Is there any reason for that? If so, couldn't Rspec use Capybara instead of
>> Webrat if it is not present? Is it possible to depend on Webrat OR Capybara
>> in the gem specs?
>>      
> Gemspecs don't allow alternative dependencies.
>
> I have a similar issue with the RiCal gem.  It works with either the
> activesupport OR tzinfo gems, rather than require either I just
> document that it requires one or the other and leave it up to the
> user.
>    

Maybe Rspec should keep depending on Webrat instead for allowing easy 
installation until Gemspecs support alternative dependencies. It is not 
that bad for those using Capybara and maybe Capybara will merge to 
Webrat anyway...

Thank you for your information,

Rodrigo.
__________________________________________________
Fale com seus amigos  de graça com o novo Yahoo! Messenger 
http://br.messenger.yahoo.com/ 



More information about the rspec-users mailing list